Debian Bug report logs - #340940
RM: rsplib -- RoQA; orphaned, out of date w/r/t upstream, very few users

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Aníbal Monsalve Salazar <anibal@debian.org>

Date: Sun, 27 Nov 2005 05:18:04 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#340940; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: submit@bugs.debian.org
Subject: O: rsplib -- prototype implementation of the IETF RSerPool architecture
Date: Sun, 27 Nov 2005 16:07:49 +1100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of rsplib, Anibal Monsalve Salazar <anibal@debian.org>
has orphaned this package.  If you want to be the new maintainer, please
take it -- see http://www.debian.org/devel/wnpp/index.html#howto-o for
detailed instructions how to adopt a package properly.

Source: rsplib
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: bzip2, libglib1.2-dev, socketapi-dev (>= 1.7.0-1)
Standards-Version: 3.6.2

Package: rsplib1
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, socketapi1 (>= 1.7.0-1)
Description: prototype implementation of the IETF RSerPool architecture
 Rsplib provides a session layer protocol framework for the
 development of high availability applications. This prototype
 contains an implementation of the ASAP protocol, a nameserver and
 an example for a pool element and a pool user.
 .
 This implementation is the product of a cooperation between Siemens
 AG (ICN), Munich, Germany and the Computer Networking Technology
 Group at the IEM of the University of Essen, Germany.
 .
  Homepage: http://www.sctp.de/rserpool.html

Package: rsplib-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, rsplib1 (= ${Source-Version}), socketapi-dev (>= 1.7.0-1)
Replaces: rsplib1 (<< 1.0.0)
Description: development package for rsplib1
 This package contains the header file and static library needed
 to build applications based on rsplib.
 .
 Rsplib is a prototype implementation of the IETF RSerPool
 architecture. It provides a session layer protocol framework for
 the development of high availability applications. This prototype
 contains an implementation of the ASAP protocol, a nameserver and
 an example for a pool element and a pool user.
 .
 This implementation is the product of a cooperation between
 Siemens AG (ICN), Munich, Germany and the Computer Networking
 Technology Group at the IEM of the University of Essen, Germany.
 .
  Homepage: http://www.sctp.de/rserpool.html

Format: 1.7
Date: Sat, 26 Nov 2005 19:47:03 +1100
Source: rsplib
Binary: rsplib1 rsplib-dev
Architecture: source i386 alpha sparc
Version: 1.0.0-2
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Anibal Monsalve Salazar <anibal@debian.org>
Description: 
 rsplib-dev - development package for rsplib1
 rsplib1    - prototype implementation of the IETF RSerPool architecture
Closes: 339961
Changes: 
 rsplib (1.0.0-2) unstable; urgency=low
 .
   * Orphaning this package. Maintainer set to Debian QA Group.
   * Fixed "rsplib-dev: file conflict with rsplib1", closes: #339961.
   * Added watch file.
Files: 
 f42b6d7b870f6a143afafedd279266b5 606 net optional rsplib_1.0.0-2.dsc
 5a3782e2ec493573f90839a91910e67d 2683 net optional rsplib_1.0.0-2.diff.gz
 3b5ce0e3a8a578fbbbad20f6e2f2a122 125464 libs optional rsplib1_1.0.0-2_i386.deb
 741ac42b5ceada682ccacbb7da88b795 141434 libdevel optional rsplib-dev_1.0.0-2_i386.deb
 13cf2fd17baf0a25b296d6d79ab52920 130226 libs optional rsplib1_1.0.0-2_sparc.deb
 f0897fc5e94d4de8374a8832e2982f86 174332 libdevel optional rsplib-dev_1.0.0-2_sparc.deb
 e3b487e581fd7618db00b6cfb4a7211d 146628 libs optional rsplib1_1.0.0-2_alpha.deb
 61a3a47561cb8092bd9853600bb15300 257910 libdevel optional rsplib-dev_1.0.0-2_alpha.deb

Aníbal Monsalve Salazar
--
 .''`. Debian GNU/Linux
: :' : Free Operating System
`. `'  http://debian.org/
  `-   http://v7w.com/anibal
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#340940; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 340940@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@fastmail.fm>
To: control@bugs.debian.org, 340940@bugs.debian.org
Subject: RM: rsplib -- RoQA; orphaned, out of date w/r/t upstream, very few users
Date: Wed, 29 Nov 2006 00:15:28 -0500
reassign 340940 ftp.debian.org
retitle 340940 RM: rsplib -- RoQA; orphaned, out of date w/r/t upstream, very few users
thanks

This is a prototype implementation of something for which a newer
major version was released upstream in September,
and upstream no longer supplies the old implementation.  Clearly
it goes out of date very quickly.  It is not appropriate for
Debian to confuse people by supplying obsolete versions.

It's orphaned, so nobody is going to bother to upload a new
version.  It's been orphaned since November 2005, so it looks like
nobody's going to adopt it either.  It also has only 2 popcon
installs, so essentially nobody's using it.



Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Nathanael Nerode <neroden@fastmail.fm> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Nathanael Nerode <neroden@fastmail.fm> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 340940-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 340940-close@bugs.debian.org
Cc: rsplib@packages.debian.org, rsplib@packages.qa.debian.org
Subject: Bug#340940: fixed
Date: Sat, 23 Dec 2006 12:03:22 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

    rsplib |    1.0.0-6 | source
rsplib-dev |    1.0.0-6 | alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
   rsplib1 |    1.0.0-6 | alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 340940@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Anthony Towns (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 02:50:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:00:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.